%define shortname simplejson

# Disable useless provides ('_speedups.so' and similar)
%define __noautoprov '_.*\.so'

Summary:	Simple, fast, extensible JSON encoder/decoder for Python
Name:		python-%{shortname}
Version:	3.6.3
Release:	1
License:	MIT
Group:		Development/Python
Url:		http://undefined.org/python/#simplejson
Source0:	http://pypi.python.org/packages/source/s/simplejson/simplejson-%{version}.tar.gz
BuildRequires:	python-distribute
BuildRequires:	python3-distribute
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)

%description
simplejson is a simple, fast, complete, correct and extensible JSON
(http://json.org) encoder and decoder for Python 2.3+. It is pure Python code
with no dependencies, but includes an optional C extension for a serious speed
boost.

simplejson was formerly known as simple_json, but changed its name to comply
with PEP 8 module naming guidelines.

The encoder may be subclassed to provide serialization in any kind of
situation, without any special support by the objects to be serialized
(somewhat like pickle).

The decoder can handle incoming JSON strings of any specified encoding (UTF-8
by default).

%files
%{py_platsitedir}/*

#----------------------------------------------------------------------------

%package -n python3-%{shortname}
Summary:	Simple, fast, extensible JSON encoder/decoder for Python
Group:		Development/Python
Conflicts:	python-simplejson-3.5.3 < 3.5.3-4
Obsoletes:	python-simplejson-3.5.3 < 3.5.3-4

%description -n python3-%{shortname}
simplejson is a simple, fast, complete, correct and extensible JSON
(http://json.org) encoder and decoder for Python 2.3+. It is pure Python code
with no dependencies, but includes an optional C extension for a serious speed
boost.

simplejson was formerly known as simple_json, but changed its name to comply
with PEP 8 module naming guidelines.

The encoder may be subclassed to provide serialization in any kind of
situation, without any special support by the objects to be serialized
(somewhat like pickle).

The decoder can handle incoming JSON strings of any specified encoding (UTF-8
by default).

%files -n python3-%{shortname}
%{py3_platsitedir}/*

#----------------------------------------------------------------------------

%prep
%setup -q -n %{shortname}-%{version}
rm -rf %{_builddir}/python3-%{shortname}-%{version}
cp -a . %{_builddir}/python3-%{shortname}-%{version}

%build
python setup.py build
pushd %{_builddir}/python3-%{shortname}-%{version}
    python3 setup.py build
popd

%install
pushd %{_builddir}/python3-%{shortname}-%{version}
    python3 setup.py install -O1 --skip-build --root %{buildroot} --install-purelib=%{py3_platsitedir}
popd
python setup.py install -O1 --skip-build --root %{buildroot} --install-purelib=%{py_platsitedir}

%changelog
* Fri Sep 26 2014 dsilakov <denis.silakov@rosalab.ru> 3.6.3-1
+ Revision: a631baa
- Merge pull request #5 from import/python-simplejson:auto_update
- ROSA Updates Builder: update suggested


